### Harmony

root note and bass note are notated as "tonal pitch class":

| bb | b | - | # | ##
C | 0 | 7 | 14 | 21 | 28
D | 2 | 9 | 16 | 23 | 30
E | 4 | 11 | 18 | 25 | 32
F | -1 | 6 | 13 | 20 | 27
G | 1 | 8 | 15 | 22 | 29
A | 3 | 10 | 17 | 24 | 31
B | 5 | 12 | 19 | 26 | 33

#### Properties

baseTpc | int | bass note as "tonal pitch class"
id | int | harmony identifier
rootTpc | int | root note as "tonal pitch class"